API Reference
Regenerate topic prompts for specific type
POST
header
X-API-Key<token>API Key for programmatic access
domainId*stringtopicId*stringtype*stringTopic prompts regenerated
application/json- response
prompts*array<>The freshly generated prompts
type*stringWhich prompt set was regenerated
Value in
"visibility""competition"count*numberHow many prompts were generated
saved*booleanTrue once the prompts are persisted on the topic
curl -X POST 'https://api.getmint.ai/api/domains/string/topics/string/prompts/regenerate/string'{ "prompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "What are the best running shoe brands?", "modules": [ "visibility", "shopping" ], "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "type": "visibility", "count": 12, "saved": true}